Bug 809847 - volume set cluster.background-self-heal-count can accept invalid values.
volume set cluster.background-self-heal-count can accept invalid values.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 09:59 EDT by Kaushal
Modified: 2013-07-24 13:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:26:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-04-04 09:59:58 EDT
cluster.background-self-heal-count can accept negative numbers even though min has been specified as 0.

For eg:
#gluster volume set test cluster.background-self-heal-count -9000
Set volume successful

#gluster volume info test

Volume Name: test
Type: Replicate
Volume ID: 1db29f5f-08c6-48d2-b3d4-7bd93c14d810
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: arch:/export/1
Brick2: arch:/export/2
Options Reconfigured:
cluster.background-self-heal-count: -9000
Comment 1 Kaushal 2012-07-11 01:27:31 EDT
Patch 81e7464a54165b5d8b40847355d3bb6fe7b6e9df (libglusterfs : Fix validation for integer volume options) in master (review @ http://review.gluster.com/3084) fixes this.

Note You need to log in before you can comment on or make changes to this bug.